Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
List all materialized segments.
curl --request GET \
--url https://flags.eu.confidence.dev/v1/materializedSegments \
--header 'Authorization: Bearer <token>'{
"materializedSegments": [
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The maximum number of materialized segments to fetch.
Token used for pagination.
Filter to apply to the materialized segments. This follows the lucene query string format
OK
The returned list of rules.
MaterializedSegment: The list of materialized segments.
Show child attributes
A token that can be used to fetch more materializations, empty if no more materializations are available.
Was this page helpful?
curl --request GET \
--url https://flags.eu.confidence.dev/v1/materializedSegments \
--header 'Authorization: Bearer <token>'{
"materializedSegments": [
{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
}
],
"nextPageToken": "<string>"
}